# IHostNetworkInterface Interface Reference

Reprents one of host's network interfaces. More...

List of all members.

## Public Member Functions
void | enableStaticIpConfig (in wstring IPAddress, in wstring networkMask)
| sets and enables the static IP V4 configuration for the given interface.
void | enableStaticIpConfigV6 (in wstring IPV6Address, in unsigned long IPV6NetworkMaskPrefixLength)
| sets and enables the static IP V6 configuration for the given interface.
void | enableDynamicIpConfig ()
| enables the dynamic IP configuration.
void | dhcpRediscover ()
| refreshes the IP configuration for dhcp-enabled interface.
## Public Attributes
readonly attribute wstring | name
| Returns the host network interface name.
readonly attribute uuid | id
| Returns the interface UUID.
readonly attribute wstring | networkName
| Returns the name of a virtual network the interface gets attached to.
readonly attribute boolean | dhcpEnabled
| Specifies whether the DHCP is enabled for the interface.
readonly attribute wstring | IPAddress
| Returns the IP V4 address of the interface.
readonly attribute wstring | networkMask
| Returns the network mask of the interface.
readonly attribute boolean | IPV6Supported
| Specifies whether the IP V6 is supported/enabled for the interface.
readonly attribute wstring | IPV6Address
| Returns the IP V6 address of the interface.
readonly attribute unsigned long | IPV6NetworkMaskPrefixLength
| Returns the length IP V6 network mask prefix of the interface.
readonly attribute wstring | hardwareAddress
| Returns the hardware address.
readonly attribute HostNetworkInterfaceMediumType | mediumType
| Type of protocol encapsulation used.
readonly attribute HostNetworkInterfaceStatus | status
| Status of the interface.
readonly attribute HostNetworkInterfaceType | interfaceType
| specifies the host interface type.

## Detailed Description

Reprents one of host's network interfaces.

IP V6 address and network mask are strings of 32 hexdecimal digits grouped by four. Groups are separated by colons. For example, fe80:0000:0000:0000:021e:c2ff:fed2:b030.

Interface ID:
  `{88ADAF3F-166B-4542-9457-0F1323507FAE}`

## Member Function Documentation

void IHostNetworkInterface::enableStaticIpConfig | ( | in wstring | IPAddress,
|  | in wstring | networkMask |
| ) |  |  |

sets and enables the static IP V4 configuration for the given interface.

Parameters:

  | IPAddress | IP address.
  | networkMask | network mask.

void IHostNetworkInterface::enableStaticIpConfigV6 | ( | in wstring | IPV6Address,
|  | in unsigned long | IPV6NetworkMaskPrefixLength |
| ) |  |  |

sets and enables the static IP V6 configuration for the given interface.

Parameters:

  | IPV6Address | IP address.
  | IPV6NetworkMaskPrefixLength | network mask.

void IHostNetworkInterface::enableDynamicIpConfig | ( |  | ) |

enables the dynamic IP configuration.

void IHostNetworkInterface::dhcpRediscover | ( |  | ) |

refreshes the IP configuration for dhcp-enabled interface.

## Member Data Documentation

readonly attribute wstring IHostNetworkInterface::name

Returns the host network interface name.

readonly attribute uuid IHostNetworkInterface::id

Returns the interface UUID.

readonly attribute wstring IHostNetworkInterface::networkName

Returns the name of a virtual network the interface gets attached to.

readonly attribute boolean IHostNetworkInterface::dhcpEnabled

Specifies whether the DHCP is enabled for the interface.

readonly attribute wstring IHostNetworkInterface::IPAddress

Returns the IP V4 address of the interface.

readonly attribute wstring IHostNetworkInterface::networkMask

Returns the network mask of the interface.

readonly attribute boolean IHostNetworkInterface::IPV6Supported

Specifies whether the IP V6 is supported/enabled for the interface.

readonly attribute wstring IHostNetworkInterface::IPV6Address

Returns the IP V6 address of the interface.

readonly attribute unsigned long IHostNetworkInterface::IPV6NetworkMaskPrefixLength

Returns the length IP V6 network mask prefix of the interface.

readonly attribute wstring IHostNetworkInterface::hardwareAddress

Returns the hardware address.

For Ethernet it is MAC address.

readonly attribute HostNetworkInterfaceMediumType IHostNetworkInterface::mediumType

Type of protocol encapsulation used.

readonly attribute HostNetworkInterfaceStatus IHostNetworkInterface::status

Status of the interface.

readonly attribute HostNetworkInterfaceType IHostNetworkInterface::interfaceType

specifies the host interface type.